/**
 * 定检期信息推理结果转换引擎
 * */

#ifndef TRANSCHKDATEENGINE_H
#define TRANSCHKDATEENGINE_H

#include "AppCommon.h"
#include "MyYaml.h"
#include "EngineBase.h"
#include "EngineFactory.h"

class TransChkDateEngine : public ai_matrix::EngineBase
{
public:
    TransChkDateEngine();
    ~TransChkDateEngine();

    APP_ERROR Init() override;
    APP_ERROR DeInit() override;
    APP_ERROR Process() override;

private:
    //定检期框内容转换
    void TransChkDate(TransSubData &transSubData, std::map<int, std::vector<SingleData>> &mapLine);
    //push数据到队列，队列满时则休眠一段时间再push
    void PushData(const std::string &strPort, const std::shared_ptr<ProcessData> &pProcessData);

    bool bUseEngine_;
    std::string strPort0_;
    ai_matrix::ModelConfig modelConfig_;
    std::vector<std::string> vecClassNames_; // 分类名称集合
};

ENGINE_REGIST(TransChkDateEngine)

#endif
